Subject: Re: floating point on Nevada cpu

From: Ralf Baechle <[email-masked]>
Date: Thu, 25 Jan 2001 09:37:43 -0800

On Wed, Jan 24, 2001 at 06:57:04PM -0800, Justin Carlson wrote:

> How are you compiling the code?  And are you compiling it the same way on
> both platforms?  Do you have fpu emulation enabled on a kernel that doesn't
> need it? 

All MIPS FPUs need it; the architecture specification leaves it to the
implementor of a CPU which parts of the FP architecture are implemented
in hardware if at all; the missing parts have to be replaced in
software.

This piece of code shouldn't result in any FPU operations as printf is
very careful to avoid inaccuracies that might result from floating point
operations.

  Ralf